Packages

final case class QueryParameter(name: String, description: Doc, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, allowReserved: Boolean = false, style: QueryStyle = QueryStyle.Form, explode: Boolean = true, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

Parameters that are appended to the URL. For example, in /items?id=###, the query parameter is id.

name

The name of the parameter. Parameter names are case sensitive.

description

A brief description of the parameter.

deprecated

Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

allowEmptyValue

Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

Linear Supertypes
Ordering
  1. Alphabetic
  2. By Inheritance
Inherited
  1. QueryParameter
  2. Serializable
  3. Product
  4. Equals
  5. Parameter
  6. ParameterOrReference
  7. OpenAPIBase
  8. AnyRef
  9. Any
  1. Hide All
  2. Show All
Visibility
  1. Public
  2. Protected

Instance Constructors

  1. new QueryParameter(name: String, description: Doc, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, allowReserved: Boolean = false, style: QueryStyle = QueryStyle.Form, explode: Boolean = true, examples: Map[String, ExampleOrReference])

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

Value Members

  1. final def !=(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  2. final def ##: Int
    Definition Classes
    AnyRef → Any
  3. final def ==(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  4. val allowEmptyValue: Boolean
    Definition Classes
    QueryParameterParameter
  5. val allowReserved: Boolean
  6. final def asInstanceOf[T0]: T0
    Definition Classes
    Any
  7. def clone(): AnyRef
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.CloneNotSupportedException]) @native() @HotSpotIntrinsicCandidate()
  8. val definition: Definition
    Definition Classes
    QueryParameterParameter
  9. val deprecated: Boolean
    Definition Classes
    QueryParameterParameter
  10. val description: Doc
    Definition Classes
    QueryParameterParameter
  11. final def eq(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  12. def equals(obj: Any): Boolean

    A unique parameter is defined by a combination of a name and location.

    A unique parameter is defined by a combination of a name and location.

    Definition Classes
    Parameter → AnyRef → Any
  13. val examples: Map[String, ExampleOrReference]
    Definition Classes
    QueryParameterParameter
  14. val explode: Boolean
    Definition Classes
    QueryParameterParameter
  15. final def getClass(): Class[_ <: AnyRef]
    Definition Classes
    AnyRef → Any
    Annotations
    @native() @HotSpotIntrinsicCandidate()
  16. def in: String
    Definition Classes
    QueryParameterParameter
  17. final def isInstanceOf[T0]: Boolean
    Definition Classes
    Any
  18. val name: String
    Definition Classes
    QueryParameterParameter
  19. final def ne(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  20. final def notify(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @HotSpotIntrinsicCandidate()
  21. final def notifyAll(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @HotSpotIntrinsicCandidate()
  22. def productElementNames: Iterator[String]
    Definition Classes
    Product
  23. def required: Boolean
    Definition Classes
    QueryParameterParameter
  24. val style: QueryStyle
  25. final def synchronized[T0](arg0: => T0): T0
    Definition Classes
    AnyRef
  26. def toJson: String
    Definition Classes
    Parameter → OpenAPIBase
  27. final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  28. final def wait(arg0: Long): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException]) @native()
  29. final def wait(): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])

Deprecated Value Members

  1. def finalize(): Unit
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.Throwable]) @Deprecated
    Deprecated

Inherited from Serializable

Inherited from Product

Inherited from Equals

Inherited from Parameter

Inherited from ParameterOrReference

Inherited from OpenAPIBase

Inherited from AnyRef

Inherited from Any

Ungrouped